function dy = SOSMMode( t,y,par )
%This Function Implements Mendes Model Described by
%   Baralla

dy = y;

parV = par(1:9);
parK = par(10:52);
parN = par(53:95);
degK = par(96:104);


% lexA - 1
dy(1) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
        frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
        frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6)) - degK(1)*y(1);


% recA - 2
dy(2) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
        frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
        frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12)) - degK(2)*y(2);

  
% recF - 3
dy(3) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
        frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16)) - degK(3)*y(3);
    

% rpoS - 4
dy(4) = parV(4) * frAct(y(5),parN(17),parK(17)) - degK(4)*y(4);


% rpoD - 5
dy(5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
        frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
        frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
        frInh(y(1),parN(24),parK(24)) - degK(5)*y(5);


% umuDC - 6
dy(6) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
        frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
        frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30)) - ...
        degK(6)*y(6);
    
    
% dinI - 7
dy(7) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
        frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
        frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36)) - ...
        degK(7)*y(7);
    
    
% ssB - 8
dy(8) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
        frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
        frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42)) - ...
        degK(8)*y(8);


% rpoH - 9
dy(9) = parV(9) * frAct(y(5),parN(43),parK(43)) - degK(9)*y(9);
    
    
end

