function [ D2GDC2 ] = d2Gexpdc2(c,par,lambda,Ycell,W,A0,A1,A2,wt)
% Derivative of fun 'G' wrt 
%   Detailed explanation goes here


S = size(Ycell,1);
Ltf = size(A0,1);
Lt = size(A2,1);

nbasis = length(c)/S;
D2GDC2 = zeros(S*nbasis,S*nbasis);

y = zeros(Lt,S);
for i = 1:S
    y(:,i) = cell2mat(Ycell(i,1));
end

esty = zeros(Lt,S);
x = zeros(Ltf,S);
dx = zeros(Ltf,S);
for i = 1:S
    esty(:,i) = A2*c(1+(i-1)*nbasis:i*nbasis);  
    x(:,i) = A0*c(1+(i-1)*nbasis:i*nbasis);
    dx(:,i) = A1*c(1+(i-1)*nbasis:i*nbasis);
end

% parC = exp(parC);

fx = zeros(S,Ltf);
dfx = zeros(S,S,Ltf);
d2fx = zeros(S,S,S,Ltf);
for i = 1:Ltf 
    fx(:,i) = SOSMMode([],x(i,:),par);
    dfx(:,:,i) = dydxSOSMMode([],x(i,:),par,0);
    d2fx(:,:,:,i) = d2ydx2SOSMMode([],x(i,:),par,0);
end

preAx = zeros(Ltf,S);
% preAy = zeros(Lt,S);
for i = 1:S
    preAx(:,i) = -(dx(:,i)-fx(i,:)');
%     preAy(:,i) = -(y(:,i)-esty(:,i));
end

C = cell(9,1);
for i = 1:S
    C{i} = 2*wt(i)*eye(Lt);
%     C{i} = 2*wt(i)*diag(esty(:,i))*diag(esty(:,i));       % for exp(c*phi)
end

% %%% for exp(c*phi) only %%%
% D = cell(9,1);
% Dphi = cell(9,1);
% D2phi = cell(9,1);
% for i = 1:S
% %     D{i} = 0;                                     
%     D{i} = 2*wt(i)*diag(preAy(:,i))*diag(esty(:,i));   
%     Dphi{i} = diag(x(:,i))*A1 + diag(dx(:,i))*A0;    
%     D2phi{i} = A0' * (-2*wt(i)*lambda*diag(preAx(:,i))) * W * A1 + (Dphi{i})'*A0;    
% end
% %%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:S
    rowStart = 1+(i-1)*nbasis;
    rowStop = i*nbasis;
    
    for j = 1:S
        colStart = 1+(j-1)*nbasis;
        colStop = j*nbasis; 
        
        A = zeros(Ltf,Ltf);
        for k = 1:S
            A = A + diag(2*wt(k)*lambda*(squeeze(dfx(k,i,:))).*(squeeze(dfx(k,j,:)))) + ...
                diag(2*wt(k)*lambda*(preAx(:,k).*squeeze(d2fx(k,i,j,:)))); 
        end
        
        A = A*W;
        
        D2GDC2(rowStart:rowStop,colStart:colStop) = A0'*A*A0 - ...
             A1'*W*diag(2*wt(i)*lambda*(squeeze(dfx(i,j,:))))*A0 - ...
             A0'*W*diag(2*wt(j)*lambda*(squeeze(dfx(j,i,:))))*A1 + ...
            (i==j).*(A1'*(2*wt(i)*lambda)*W*A1 + A2'*C{i}*A2);

%         D2GDC2(rowStart:rowStop,colStart:colStop) = A0'*A*A0 - ...
%              Dphi{i}'*W*diag(2*wt(i)*lambda*(squeeze(dfx(i,j,:))))*A0 - ...
%              A0'*W*diag(2*wt(j)*lambda*(squeeze(dfx(j,i,:))))*Dphi{j} + ...
%             (i==j).*(Dphi{i}'*(2*wt(i)*lambda)*W*Dphi{i} + D2phi{i} + (A2'*(C{i} + D{i})*A2));  % For exp only
    
    end
end





end



