function [ D2GDCDP ] = d2GexpdcdpN(c,par,lambda,Ycell,W,A0,A1,wt)
% 2nd Derivative of fun 'G' wrt c
%   and 1st derivative wrt parameters


S = size(Ycell,1);
Ltf = size(A0,1);

nbasis = length(c)/S;
parLen = length(par(53:95));

D2GDCDP = zeros(S*nbasis,parLen);


x = zeros(Ltf,S);
dx = zeros(Ltf,S);
for i = 1:S 
    x(:,i) = A0*c(1+(i-1)*nbasis:i*nbasis);    
    dx(:,i) = A1*c(1+(i-1)*nbasis:i*nbasis);
end

fx = zeros(S,Ltf);
dfx = zeros(S,S,Ltf);
dfp = zeros(S,parLen,Ltf);
d2fpx = zeros(S,S,parLen,Ltf);
for i = 1:Ltf 
    fx(:,i) = SOSMMode([],x(i,:),par);
    dfp(:,:,i) = dydpSOSMModeN([],x(i,:),par);
    dfx(:,:,i) = dydxSOSMMode([],x(i,:),par,0);
    d2fpx(:,:,:,i) = d2ydpdxSOSMModeN([],x(i,:),par,0);
end


% %%% for exp(c*phi) only %%%
% Dphi = cell(9,1);
% for i = 1:S   
%     Dphi{i} = diag(x(:,i))*A1 + diag(dx(:,i))*A0;        
% end
% %%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:S
    rowStart = 1+(i-1)*nbasis;
    rowStop = i*nbasis;

    for j = 1:parLen
%         temp = 0;
        wt2 = 0;
        for r = 1:S
            wt2 = 2*wt(r)*lambda*squeeze(d2fpx(r,i,j,:)).*(fx(r,:)'-dx(:,r)) +...
                    2*wt(r)*lambda*squeeze(dfx(r,i,:)).*squeeze(dfp(r,j,:)) + wt2;
        end
        
        wt2 = wt2.*diag(W);
        D2GDCDP(rowStart:rowStop,j) = A0'*wt2 - A1'*(2*wt(i)*lambda*(squeeze(dfp(i,j,:)).*diag(W)));           
%         D2GDCDP(rowStart:rowStop,j) = A0'*wt2 - Dphi{i}'*(2*wt(i)*lambda*(squeeze(dfp(i,j,:)).*diag(W)));      % For exp only     
        
    end
end

end

