function J = d2ydpdxSOSMMode( t,y,par,npar,isExp)
%Double Derivative of Mendes Model wrt parameters 'par' and then states 'x'
%   Baralla

J = zeros(length(y),length(y),length(par));

parV = par(1:9);
parK = par(10:52);
% parN = par(53:95);
% degK = par(96:104);
degK = par(53:61);

parN = npar;%2*ones(43,1);
%% lexA - v1
% J(1,1) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,1) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,1) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,1) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,1) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,1) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,1) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));


%% lexA - k1        
% J(1,10) = parV(1) * dfrdkAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,10) = parV(1) * d2frdkdxAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,10) = parV(1) * dfrdkAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,10) = parV(1) * dfrdkAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,10) = parV(1) * dfrdkAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,10) = parV(1) * dfrdkAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,10) = parV(1) * dfrdkAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
        
%% lexA - k2                
% J(1,11) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdkAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,11) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * dfrdkAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,11) = parV(1) * frAct(y(2),parN(1),parK(1)) * d2frdkdxAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,11) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdkAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,11) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdkAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,11) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdkAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,11) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdkAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
        
%% lexA - k3                
% J(1,12) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             dfrdkAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,12) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdkAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,12) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            dfrdkAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,12) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            d2frdkdxAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,12) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdkAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,12) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdkAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,12) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdkAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - k4                
% J(1,13) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * dfrdkAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,13) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdkAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,13) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdkAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,13) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * dfrdkAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,13) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdkAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,13) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * d2frdkdxAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,13) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdkAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - k5                
% J(1,14) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             dfrdkInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,14) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdkInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,14) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdkInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,14) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdkInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,14) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdkInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,14) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            dfrdkInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,14) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            d2frdkdxInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - k6                
% J(1,15) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * dfrdkInh(y(6),parN(6),parK(6));

J(1,2,15) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdkInh(y(6),parN(6),parK(6));

J(1,3,15) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdkInh(y(6),parN(6),parK(6));

J(1,5,15) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdkInh(y(6),parN(6),parK(6));

J(1,6,15) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * d2frdkdxInh(y(6),parN(6),parK(6),isExp);

J(1,7,15) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdkInh(y(6),parN(6),parK(6));

J(1,8,15) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * dfrdkInh(y(6),parN(6),parK(6));
        
%% lexA - degK1        
% J(1,96) = -(degK(1))*y(1);
    
J(1,1,53) = -(degK(1))*((y(1))^isExp);

%% recA - v2
% J(2,2) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,2) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,2) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,2) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,2) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,2) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,2) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
        
%% recA - k7
% J(2,16) = parV(2) * dfrdkAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,16) = parV(2) * dfrdkAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,16) = parV(2) * d2frdkdxAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,16) = parV(2) * dfrdkAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,16) = parV(2) * dfrdkAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,16) = parV(2) * dfrdkAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,16) = parV(2) * dfrdkAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
        
%% recA - k8        
% J(2,17) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdkAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,17) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdkAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,17) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * dfrdkAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,17) = parV(2) * frAct(y(3),parN(7),parK(7)) * d2frdkdxAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,17) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdkAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,17) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdkAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,17) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdkAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));


%% recA - k9
% J(2,18) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             dfrdkAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,18) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdkAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,18) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdkAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,18) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            dfrdkAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,18) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdkAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,18) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            d2frdkdxAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,18) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdkAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - k10
% J(2,19) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * dfrdkInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,19) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * d2frdkdxInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,19) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdkInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,19) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdkInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,19) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdkInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,19) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * dfrdkInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,19) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdkInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - k11
% J(2,20) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             dfrdkInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,20) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            dfrdkInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,20) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdkInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,20) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdkInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,20) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdkInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,20) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdkInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,20) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            d2frdkdxInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - k12
% J(2,21) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * dfrdkInh(y(6),parN(12),parK(12));

J(2,1,21) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdkInh(y(6),parN(12),parK(12));

J(2,3,21) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdkInh(y(6),parN(12),parK(12));

J(2,5,21) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdkInh(y(6),parN(12),parK(12));

J(2,6,21) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * d2frdkdxInh(y(6),parN(12),parK(12),isExp);

J(2,7,21) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdkInh(y(6),parN(12),parK(12));

J(2,8,21) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * dfrdkInh(y(6),parN(12),parK(12));
        
%% recA - degK2
% J(2,97) = -(degK(2))*y(2);

J(2,2,54) = -(degK(2))*((y(2))^isExp);
  
%% recF - v3
% J(3,3) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
%             frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,4,3) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,5,3) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,6,3) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,8,3) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));        

%% recF - k13
% J(3,22) = parV(3) * dfrdkAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
%             frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,4,22) = parV(3) * dfrdkAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,5,22) = parV(3) * d2frdkdxAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,6,22) = parV(3) * dfrdkAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,8,22) = parV(3) * dfrdkAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));        

        
%% recF - k14
% J(3,23) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdkAct(y(4),parN(14),parK(14)) * ...
%             frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,4,23) = parV(3) * frAct(y(5),parN(13),parK(13)) * d2frdkdxAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,5,23) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * dfrdkAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,6,23) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdkAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,8,23) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdkAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));        

        
%% recF - k15
% J(3,24) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
%             dfrdkInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,4,24) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            dfrdkInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,5,24) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            dfrdkInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,6,24) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrdkInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,8,24) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            d2frdkdxInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));        

        
%% recF - k16
% J(3,25) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
%             frInh(y(8),parN(15),parK(15)) * dfrdkInh(y(6),parN(16),parK(16));

J(3,4,25) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * dfrdkInh(y(6),parN(16),parK(16));

J(3,5,25) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrdkInh(y(6),parN(16),parK(16));

J(3,6,25) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * d2frdkdxInh(y(6),parN(16),parK(16),isExp);

J(3,8,25) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * dfrdkInh(y(6),parN(16),parK(16));        

        
%% recF - degK3
% J(3,98) = - (degK(3))*y(3);

J(3,3,55) = -(degK(3))*((y(3))^isExp);

%% rpoS - v4
% J(4,4) = parV(4) * frAct(y(5),parN(17),parK(17));

J(4,5,4) = parV(4) * dfrAct(y(5),parN(17),parK(17),isExp);


%% rpoS - k17
% J(4,26) = parV(4) * dfrdkAct(y(5),parN(17),parK(17));

J(4,5,26) = parV(4) * d2frdkdxAct(y(5),parN(17),parK(17),isExp);

%% rpoS - degK4
% J(4,99) =  - (degK(4))*y(4);

J(4,4,56) = -(degK(4))*((y(4))^isExp);

%% rpoD - v5
% J(5,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));
        
        
J(5,1,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,5) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - k18
% J(5,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,27) = parV(5) * d2frdkdxAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

        
%% rpoD - k19
% J(5,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdkAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdkAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * d2frdkdxAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,28) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * dfrdkAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdkAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdkAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdkAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdkAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - k20
% J(5,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             dfrdkAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdkAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            dfrdkAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,29) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdkAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdkAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            d2frdkdxAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdkAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdkAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - k21
% J(5,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * dfrdkAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdkAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdkAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,30) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdkAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdkAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * dfrdkAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdkAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * d2frdkdxAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - k22
% J(5,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             dfrdkInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdkInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdkInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,31) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdkInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            d2frdkdxInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdkInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdkInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            dfrdkInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - k23
% J(5,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * dfrdkInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdkInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdkInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,32) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdkInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * dfrdkInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdkInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * d2frdkdxInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdkInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - k24
% J(5,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             dfrdkInh(y(1),parN(24),parK(24));

J(5,1,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            d2frdkdxInh(y(1),parN(24),parK(24),isExp);

J(5,2,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdkInh(y(1),parN(24),parK(24));

J(5,3,33) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdkInh(y(1),parN(24),parK(24));

J(5,6,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdkInh(y(1),parN(24),parK(24));

J(5,7,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdkInh(y(1),parN(24),parK(24));

J(5,8,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            dfrdkInh(y(1),parN(24),parK(24));

J(5,9,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdkInh(y(1),parN(24),parK(24));

%% rpoD - degK5
% J(5,100) = -(degK(5))*y(5);

J(5,5,57) = -(degK(5))*((y(5))^isExp);

%% umuDC - v6
% J(6,6) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,6) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,6) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,6) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,6) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,6) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,6) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));

        
%% umuDC - k25
% J(6,34) = parV(6) * dfrdkAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,34) = parV(6) * dfrdkAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,34) = parV(6) * dfrdkAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,34) = parV(6) * dfrdkAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,34) = parV(6) * d2frdkdxAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,34) = parV(6) * dfrdkAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,34) = parV(6) * dfrdkAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - k26
% J(6,35) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdkAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,35) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdkAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,35) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdkAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,35) = parV(6) * frAct(y(5),parN(25),parK(25)) * d2frdkdxAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,35) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * dfrdkAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,35) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdkAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,35) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdkAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - k27
% J(6,36) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             dfrdkAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,36) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdkAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,36) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            d2frdkdxAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,36) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            dfrdkAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,36) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdkAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,36) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdkAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,36) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdkAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - k28
% J(6,37) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * dfrdkAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,37) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdkAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,37) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * dfrdkAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,37) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdkAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,37) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdkAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,37) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * d2frdkdxAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,37) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdkAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - k29
% J(6,38) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             dfrdkInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,38) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdkInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,38) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdkInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,38) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdkInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,38) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdkInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,38) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            dfrdkInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,38) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            d2frdkdxInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - k30
% J(6,39) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * dfrdkInh(y(1),parN(30),parK(30));

J(6,1,39) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * d2frdkdxInh(y(1),parN(30),parK(30),isExp);

J(6,2,39) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdkInh(y(1),parN(30),parK(30));

J(6,3,39) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdkInh(y(1),parN(30),parK(30));

J(6,5,39) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdkInh(y(1),parN(30),parK(30));

J(6,7,39) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdkInh(y(1),parN(30),parK(30));

J(6,8,39) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * dfrdkInh(y(1),parN(30),parK(30));

%% umuDC - degK6
% J(6,101) = -(degK(6))*y(6);

J(6,6,58) = -(degK(6))*((y(6))^isExp);
    
    
%% dinI - v7
% J(7,7) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,7) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,7) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,7) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,7) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,7) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,7) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

        
%% dinI - k31
% J(7,40) = parV(7) * dfrdkAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,40) = parV(7) * dfrdkAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,40) = parV(7) * dfrdkAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,40) = parV(7) * dfrdkAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,40) = parV(7) * d2frdkdxAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,40) = parV(7) * dfrdkAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,40) = parV(7) * dfrdkAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - k32
% J(7,41) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdkAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,41) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdkAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,41) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdkAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,41) = parV(7) * frAct(y(5),parN(31),parK(31)) * d2frdkdxAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,41) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * dfrdkAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,41) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdkAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,41) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdkAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));        

%% dinI - k33
% J(7,42) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             dfrdkAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,42) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrdkAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,42) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            d2frdkdxAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,42) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            dfrdkAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,42) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            dfrdkAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,42) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrdkAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,42) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrdkAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - k34
% J(7,43) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,43) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,43) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,43) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,43) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,43) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * d2frdkdxInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,43) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - k35
% J(7,44) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             dfrdkInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,44) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,44) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,44) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,44) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,44) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * d2frdkdxInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,44) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - k36
% J(7,45) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * dfrdkInh(y(1),parN(36),parK(36));

J(7,1,45) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * d2frdkdxInh(y(1),parN(36),parK(36),isExp);

J(7,2,45) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdkInh(y(1),parN(36),parK(36));

J(7,3,45) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdkInh(y(1),parN(36),parK(36));

J(7,5,45) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdkInh(y(1),parN(36),parK(36));

J(7,6,45) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdkInh(y(1),parN(36),parK(36));

J(7,8,45) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * dfrdkInh(y(1),parN(36),parK(36));        

%% dinI - degK7
% J(7,102) = -(degK(7))*y(7);

J(7,7,59) = -(degK(7))*((y(7))^isExp);
    
%% ssB - v8
% J(8,8) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,8) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,8) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,8) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,8) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,8) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,8) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));


        
        
%% ssB - k37
% J(8,46) = parV(8) * dfrdkAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,46) = parV(8) * dfrdkAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,46) = parV(8) * dfrdkAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,46) = parV(8) * dfrdkAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,46) = parV(8) * dfrdkAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,46) = parV(8) * dfrdkAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,46) = parV(8) * d2frdkdxAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
        
%% ssB - k38
% J(8,47) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdkAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,47) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdkAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,47) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdkAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,47) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdkAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,47) = parV(8) * frAct(y(7),parN(37),parK(37)) * d2frdkdxAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,47) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdkAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,47) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * dfrdkAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - k39
% J(8,48) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             dfrdkAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,48) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdkAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,48) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdkAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,48) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            d2frdkdxAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,48) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            dfrdkAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,48) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdkAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,48) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdkAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - k40
% J(8,49) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * dfrdkAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,49) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdkAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,49) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * d2frdkdxAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,49) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * dfrdkAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,49) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdkAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,49) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdkAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,49) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdkAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - k41
% J(8,50) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             dfrdkInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,50) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdkInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,50) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            dfrdkInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,50) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdkInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,50) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdkInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,50) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            d2frdkdxInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,50) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdkInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - k42
% J(8,51) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * dfrdkInh(y(1),parN(42),parK(42));

J(8,1,51) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * d2frdkdxInh(y(1),parN(42),parK(42),isExp);

J(8,2,51) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdkInh(y(1),parN(42),parK(42));

J(8,3,51) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdkInh(y(1),parN(42),parK(42));

J(8,5,51) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdkInh(y(1),parN(42),parK(42));

J(8,6,51) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * dfrdkInh(y(1),parN(42),parK(42));

J(8,7,51) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdkInh(y(1),parN(42),parK(42));
        
%% ssB - degK8
% J(8,103) =  -(degK(8))*y(8);

J(8,8,60) = -(degK(8))*((y(8))^isExp);

%% rpoH - v9
% J(9,9) = parV(9) * frAct(y(5),parN(43),parK(43));

J(9,5,9) = parV(9) * dfrAct(y(5),parN(43),parK(43),isExp);

%% rpoH - k43
% J(9,52) = parV(9) * dfrdkAct(y(5),parN(43),parK(43));

J(9,5,52) = parV(9) * d2frdkdxAct(y(5),parN(43),parK(43),isExp);

%% rpoH - degK9
% J(9,104) = -(degK(9))*y(9);

J(9,9,61) = -(degK(9))*((y(9))^isExp);
    
end

