function J = d2ydpdxSOSMModeN( t,y,par,isExp)
%Double Derivative of Mendes Model wrt parameters 'par' and then states 'x'
%   Baralla

parV = par(1:9);
parK = par(10:52);
parN = par(53:95);
degK = par(96:104);

J = zeros(length(y),length(y),length(parN));
%% lexA - n1                
% J(1,53) = parV(1) * dfrdnAct(y(2),parN(1),parK(1)) *
% frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,1) = parV(1) * d2frdndxAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,1) = parV(1) * dfrdnAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,1) = parV(1) * dfrdnAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,1) = parV(1) * dfrdnAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,1) = parV(1) * dfrdnAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,1) = parV(1) * dfrdnAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - n2                
% J(1,54) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdnAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,2) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * dfrdnAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,2) = parV(1) * frAct(y(2),parN(1),parK(1)) * d2frdndxAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,2) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdnAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,2) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdnAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,2) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdnAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,2) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdnAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - n3        
% J(1,55) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             dfrdnAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,3) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdnAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            dfrdnAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            d2frdndxAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdnAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdnAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdnAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - n4
% J(1,56) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * dfrdnAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,4) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdnAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,4) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdnAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,4) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * dfrdnAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,4) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdnAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,4) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * d2frdndxAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,4) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdnAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - n5        
% J(1,57) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             dfrdnInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,5) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdnInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdnInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdnInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdnInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            dfrdnInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,8,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            d2frdndxInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

        
%% lexA - n6
% J(1,58) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
%             frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
%             frInh(y(8),parN(5),parK(5)) * dfrdnInh(y(6),parN(6),parK(6));

J(1,2,6) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdnInh(y(6),parN(6),parK(6));

J(1,3,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdnInh(y(6),parN(6),parK(6));

J(1,5,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdnInh(y(6),parN(6),parK(6));

J(1,6,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * d2frdndxInh(y(6),parN(6),parK(6),isExp);

J(1,7,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdnInh(y(6),parN(6),parK(6));

J(1,8,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * dfrdnInh(y(6),parN(6),parK(6));

        
%% recA - n7
% J(2,59) = parV(2) * dfrdnAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,7) = parV(2) * dfrdnAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,7) = parV(2) * d2frdndxAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,7) = parV(2) * dfrdnAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,7) = parV(2) * dfrdnAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,7) = parV(2) * dfrdnAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,7) = parV(2) * dfrdnAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - n8
% J(2,60) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdnAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdnAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,8) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * dfrdnAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * d2frdndxAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdnAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdnAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdnAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - n9
% J(2,61) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             dfrdnAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,9) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdnAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,9) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdnAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,9) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            dfrdnAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,9) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdnAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,9) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            d2frdndxAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,9) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdnAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - n10
% J(2,62) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * dfrdnInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,10) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * d2frdndxInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,10) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdnInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,10) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdnInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,10) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdnInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,10) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * dfrdnInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,10) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdnInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - n11
% J(2,63) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             dfrdnInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,11) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            dfrdnInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,3,11) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdnInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,11) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdnInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,6,11) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdnInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,11) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdnInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8,11) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            d2frdndxInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

        
%% recA - n12
% J(2,64) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * dfrdnInh(y(6),parN(12),parK(12));

J(2,1,12) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdnInh(y(6),parN(12),parK(12));

J(2,3,12) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdnInh(y(6),parN(12),parK(12));

J(2,5,12) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdnInh(y(6),parN(12),parK(12));

J(2,6,12) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * d2frdndxInh(y(6),parN(12),parK(12),isExp);

J(2,7,12) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdnInh(y(6),parN(12),parK(12));

J(2,8,12) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * dfrdnInh(y(6),parN(12),parK(12));

        
%% recF - n13
% J(3,65) = parV(3) * dfrdnAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
%             frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,4,13) = parV(3) * dfrdnAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,5,13) = parV(3) * d2frdndxAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,6,13) = parV(3) * dfrdnAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(17),parK(17),isExp);

J(3,8,13) = parV(3) * dfrdnAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(17),parK(17));        

        
%% recF - n14
% J(3,66) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdnAct(y(4),parN(14),parK(14)) * ...
%             frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,4,14) = parV(3) * frAct(y(5),parN(13),parK(13)) * d2frdndxAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,5,14) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * dfrdnAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,6,14) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdnAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(17),parK(17),isExp);

J(3,8,14) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdnAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(17),parK(17));        

        
%% recF - n15
% J(3,67) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
%             dfrdnInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,4,15) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            dfrdnInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,5,15) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            dfrdnInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(17),parK(17));

J(3,6,15) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrdnInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(17),parK(17),isExp);

J(3,8,15) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            d2frdndxInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(17),parK(17));        

        
%% recF - n16
% J(3,15) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
%             frInh(y(8),parN(15),parK(15)) * dfrdnInh(y(6),parN(17),parK(17));

J(3,4,16) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * dfrdnInh(y(6),parN(17),parK(17));

J(3,5,16) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrdnInh(y(6),parN(17),parK(17));

J(3,6,16) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * d2frdndxInh(y(6),parN(17),parK(17),isExp);

J(3,8,16) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * dfrdnInh(y(6),parN(17),parK(17));        

        
%% rpoS - n17
% J(4,69) = parV(4) * dfrdnAct(y(5),parN(17),parK(17));

J(4,5,17) = parV(4) * d2frdndxAct(y(5),parN(17),parK(17),isExp);


%% rpoD - n18
% J(5,17) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,18) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,18) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,18) = parV(5) * d2frdndxAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,18) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,18) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,18) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,18) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - n19
% J(5,18) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdnAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdnAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * d2frdndxAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,19) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * dfrdnAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdnAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdnAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdnAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdnAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - n20
% J(5,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             dfrdnAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdnAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            dfrdnAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,20) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdnAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdnAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            d2frdndxAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdnAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdnAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - n21
% J(5,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * dfrdnAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdnAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdnAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,21) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdnAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdnAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * dfrdnAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdnAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * d2frdndxAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - n22
% J(5,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             dfrdnInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdnInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdnInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,22) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdnInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            d2frdndxInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdnInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdnInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            dfrdnInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - n23
% J(5,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * dfrdnInh(y(8),parN(23),parK(23)) * ...
%             frInh(y(1),parN(24),parK(24));

J(5,1,23) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdnInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,23) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdnInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,23) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdnInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,23) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * dfrdnInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,23) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdnInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,23) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * d2frdndxInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,23) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdnInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));


%% rpoD - n24
% J(5,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
%             frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
%             frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
%             dfrdnInh(y(1),parN(24),parK(24));

J(5,1,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            d2frdndxInh(y(1),parN(24),parK(24),isExp);

J(5,2,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdnInh(y(1),parN(24),parK(24));

J(5,3,24) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdnInh(y(1),parN(24),parK(24));

J(5,6,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdnInh(y(1),parN(24),parK(24));

J(5,7,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdnInh(y(1),parN(24),parK(24));

J(5,8,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            dfrdnInh(y(1),parN(24),parK(24));

J(5,9,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdnInh(y(1),parN(24),parK(24));


%% umuDC - n25
% J(6,25) = parV(6) * dfrdnAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,25) = parV(6) * dfrdnAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,25) = parV(6) * dfrdnAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,25) = parV(6) * dfrdnAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,25) = parV(6) * d2frdndxAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,25) = parV(6) * dfrdnAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,25) = parV(6) * dfrdnAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - n26
% J(6,26) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdnAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,26) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdnAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,26) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdnAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,26) = parV(6) * frAct(y(5),parN(25),parK(25)) * d2frdndxAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,26) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * dfrdnAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,26) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdnAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,26) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdnAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - n27
% J(6,27) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             dfrdnAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,27) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdnAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,27) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            d2frdndxAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,27) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            dfrdnAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,27) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdnAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,27) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdnAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,27) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdnAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - n28
% J(6,28) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * dfrdnAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,28) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdnAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,28) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * dfrdnAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,28) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdnAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,28) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdnAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,28) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * d2frdndxAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,28) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdnAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - n29
% J(6,29) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             dfrdnInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,1,29) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdnInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,29) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdnInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,29) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdnInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,29) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdnInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,29) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            dfrdnInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,8,29) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            d2frdndxInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));


%% umuDC - n30
% J(6,30) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
%             frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
%             frInh(y(8),parN(29),parK(29)) * dfrdnInh(y(1),parN(30),parK(30));

J(6,1,30) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * d2frdndxInh(y(1),parN(30),parK(30),isExp);

J(6,2,30) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdnInh(y(1),parN(30),parK(30));

J(6,3,30) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdnInh(y(1),parN(30),parK(30));

J(6,5,30) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdnInh(y(1),parN(30),parK(30));

J(6,7,30) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdnInh(y(1),parN(30),parK(30));

J(6,8,30) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * dfrdnInh(y(1),parN(30),parK(30));


%% dinI - n31
% J(7,31) = parV(7) * dfrdnAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,31) = parV(7) * dfrdnAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,31) = parV(7) * dfrdnAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,31) = parV(7) * dfrdnAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,31) = parV(7) * d2frdndxAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,31) = parV(7) * dfrdnAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,31) = parV(7) * dfrdnAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - n32
% J(7,32) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,32) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,32) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,32) = parV(7) * frAct(y(5),parN(31),parK(31)) * d2frdndxAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,32) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,32) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,32) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - n33
% J(7,33) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             dfrdnAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,33) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,33) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,33) = parV(7) * frAct(y(5),parN(31),parK(31)) * d2frdndxAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,33) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,33) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,33) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - n34
% J(7,34) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * dfrdnInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,34) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdnInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,34) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * dfrdnInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,34) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdnInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,34) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdnInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,34) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * d2frdndxInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,34) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdnInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - n35
% J(7,35) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             dfrdnInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,1,35) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrdnInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);

J(7,2,35) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            dfrdnInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,3,35) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrdnInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,5,35) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrdnInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,6,35) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            dfrdnInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,8,35) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            d2frdndxInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));

%% dinI - n36
% J(7,36) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
%             frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
%             frInh(y(8),parN(35),parK(35)) * dfrdnInh(y(1),parN(36),parK(36));

J(7,1,36) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * d2frdndxInh(y(1),parN(36),parK(36),isExp);

J(7,2,36) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdnInh(y(1),parN(36),parK(36));

J(7,3,36) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdnInh(y(1),parN(36),parK(36));

J(7,5,36) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdnInh(y(1),parN(36),parK(36));

J(7,6,36) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdnInh(y(1),parN(36),parK(36));

J(7,8,36) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * dfrdnInh(y(1),parN(36),parK(36));

%% ssB - n37
% J(8,37) = parV(8) * dfrdnAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,37) = parV(8) * dfrdnAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,37) = parV(8) * dfrdnAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,37) = parV(8) * dfrdnAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,37) = parV(8) * dfrdnAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,37) = parV(8) * dfrdnAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,37) = parV(8) * d2frdndxAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - n38
% J(8,38) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdnAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,38) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdnAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,38) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdnAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,38) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdnAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,38) = parV(8) * frAct(y(7),parN(37),parK(37)) * d2frdndxAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,38) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdnAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,38) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * dfrdnAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - n39
% J(8,39) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             dfrdnAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,39) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdnAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,39) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdnAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,39) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            d2frdndxAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,39) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            dfrdnAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,39) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdnAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,39) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdnAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - n40
% J(8,40) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * dfrdnAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,40) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdnAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,40) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * d2frdndxAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,40) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * dfrdnAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,40) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdnAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,40) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdnAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,40) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdnAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - n41
% J(8,41) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             dfrdnInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,1,41) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdnInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);

J(8,2,41) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            dfrdnInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,3,41) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdnInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,5,41) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdnInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,6,41) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            d2frdndxInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));

J(8,7,41) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdnInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

        
%% ssB - n42
% J(8,42) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
%             frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
%             frInh(y(6),parN(41),parK(41)) * dfrdnInh(y(1),parN(42),parK(42));

J(8,1,42) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * d2frdndxInh(y(1),parN(42),parK(42),isExp);

J(8,2,42) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdnInh(y(1),parN(42),parK(42));

J(8,3,42) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdnInh(y(1),parN(42),parK(42));

J(8,5,42) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdnInh(y(1),parN(42),parK(42));

J(8,6,42) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * dfrdnInh(y(1),parN(42),parK(42));

J(8,7,42) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdnInh(y(1),parN(42),parK(42));

        
%% rpoH - n43
% J(9,43) = parV(9) * dfrdnAct(y(5),parN(43),parK(43));

J(9,5,43) = parV(9) * d2frdndxAct(y(5),parN(43),parK(43),isExp);

end

