function J = d2ydx2SOSMMode( t,y,par,isExp )
%Hessian of Mendes Model wrt states 'x'
%   Baralla

parV = par(1:9);
parK = par(10:52);
parN = par(53:95);
degK = par(96:104);

J = zeros(9,9,9);

% lexA - function 1

%% LexA Rate Function 1 wrt x1 ...

J(1,1,1) = -degK(1)*(y(1)*isExp);

%% LexA Rate Function 1 wrt x2 ...
J(1,2,2) =  parV(1) * d2frAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2,3) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));
    
J(1,2,5) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));
        
J(1,2,6) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);
        
J(1,2,7) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));
        
J(1,2,8) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));   

%% LexA Rate Function 1 wrt x3 ...        
J(1,3,2) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));    

J(1,3,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * d2frAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));    

J(1,3,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));    

J(1,3,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);    

J(1,3,7) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));    

J(1,3,8) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));
        
%% LexA Rate Function 1 wrt x3 ...        
% All zero

%% LexA Rate Function 1 wrt x5 ...                
J(1,5,2) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));    

J(1,5,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));        

J(1,5,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            d2frAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));        

J(1,5,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);        

J(1,5,7) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));        

J(1,5,8) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));        

%% LexA Rate Function 1 wrt x6 ...                
J(1,6,2) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);
    
J(1,6,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);    

J(1,6,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);    

J(1,6,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * d2frInh(y(6),parN(6),parK(6),isExp);    
    
J(1,6,7) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);    

J(1,6,8) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * dfrInh(y(6),parN(6),parK(6),isExp);    


%% LexA Rate Function 1 wrt x7 ...                    
J(1,7,2) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,7,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,7,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,7,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,7,7) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * d2frAct(y(7),parN(4),parK(4),isExp) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,7,8) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));



%% LexA Rate Function 1 wrt x8 ...                
    
J(1,8,2) = parV(1) * dfrAct(y(2),parN(1),parK(1),isExp) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

J(1,8,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrAct(y(3),parN(2),parK(2),isExp) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

J(1,8,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrAct(y(5),parN(3),parK(3),isExp) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

J(1,8,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * dfrInh(y(6),parN(6),parK(6),isExp);

J(1,8,7) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrAct(y(7),parN(4),parK(4),isExp) * ...
            dfrInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

J(1,8,8) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            d2frInh(y(8),parN(5),parK(5),isExp) * frInh(y(6),parN(6),parK(6));

    

%% LexA Rate Function 1 wrt x9 ...                
% All zeros   

%% recA Rate Function 2 wrt x1 ...                
    
% J(2,1) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));
    
J(2,1,1) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * d2frInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));
        
J(2,1,3) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,5) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,6) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,1,7) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,1,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

%% recA Rate Function 2 wrt x2 ...                

J(2,2,2) = - degK(2)*(y(2)*isExp);  

%% recA Rate Function 2 wrt x3 ...                

% J(2,3) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
%             frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
%             frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));    

J(2,3,1) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));    

J(2,3,3) = parV(2) * d2frAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));    

J(2,3,5) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));    

J(2,3,6) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);    

J(2,3,7) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));    

J(2,3,8) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));    


%% recA Rate Function 2 wrt x4 ...                
% All zeros

%% recA Rate Function 2 wrt x5 ...                
J(2,5,1) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,3) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,5) = parV(2) * frAct(y(3),parN(7),parK(7)) * d2frAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,6) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,5,7) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,5,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

%% recA Rate Function 2 wrt x6 ...                    
J(2,6,1) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,6,3) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,6,5) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,6,6) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * d2frInh(y(6),parN(12),parK(12),isExp);

J(2,6,7) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,6,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * dfrInh(y(6),parN(12),parK(12),isExp);

        
%% recA Rate Function 2 wrt x7 ...                    
J(2,7,1) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,7,3) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,7,5) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,7,6) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,7,7) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            d2frAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,7,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));
    
%% recA Rate Function 2 wrt x8 ...                    
J(2,8,1) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrInh(y(1),parN(10),parK(10),isExp) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

J(2,8,3) = parV(2) * dfrAct(y(3),parN(7),parK(7),isExp) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

J(2,8,5) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrAct(y(5),parN(8),parK(8),isExp) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));

J(2,8,6) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * dfrInh(y(6),parN(12),parK(12),isExp);

J(2,8,7) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrAct(y(7),parN(9),parK(9),isExp) * frInh(y(1),parN(10),parK(10)) * ...
            dfrInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));
    
J(2,8,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            d2frInh(y(8),parN(11),parK(11),isExp) * frInh(y(6),parN(12),parK(12));
    
%% recA Rate Function 2 wrt x9 ...                        
% All zeros

%% recA Rate Function 3 wrt x1 ...                        
% All zeros

%% recA Rate Function 3 wrt x2 ...                        
% All zeros

%% recA Rate Function 3 wrt x3 ...                        
% All zeros
    
J(3,3,3) = - degK(3)*(y(3)*isExp);

%% recA Rate Function 3 wrt x4 ...                        
J(3,4,4) = parV(3) * frAct(y(5),parN(13),parK(13)) * d2frAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,4,5) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,4,6) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,4,8) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));


%% recA Rate Function 3 wrt x5 ...                            
J(3,5,4) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));        

J(3,5,5) = parV(3) * d2frAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));        

J(3,5,6) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);        

J(3,5,8) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));        
        
%% recA Rate Function 3 wrt x6 ...        
J(3,6,4) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,6,5) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,6,6) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * d2frInh(y(6),parN(16),parK(16),isExp);

J(3,6,8) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * dfrInh(y(6),parN(16),parK(16),isExp);


%% recA Rate Function 3 wrt x7 ...                            
% All zeros

%% recA Rate Function 3 wrt x8 ...                            
J(3,8,4) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrAct(y(4),parN(14),parK(14),isExp) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));

J(3,8,5) = parV(3) * dfrAct(y(5),parN(13),parK(13),isExp) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));

J(3,8,6) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrInh(y(8),parN(15),parK(15),isExp) * dfrInh(y(6),parN(16),parK(16),isExp);

J(3,8,8) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            d2frInh(y(8),parN(15),parK(15),isExp) * frInh(y(6),parN(16),parK(16));


%% recA Rate Function 3 wrt x9 ...                            
% All zeros

%% rpoS Rate Function 4 wrt x1 ...                            
% All zeros

%% rpoS Rate Function 4 wrt x2 ...                            
% All zeros

%% rpoS Rate Function 4 wrt x3 ...                            
% All zeros

%% rpoS Rate Function 4 wrt x4 ...                            

J(4,4,4) = - degK(4)*(y(4)*isExp);

%% rpoS Rate Function 4 wrt x5 ...                            

J(4,5,5) = parV(4) * d2frAct(y(5),parN(17),parK(17),isExp);

%% rpoS Rate Function 4 wrt x6 ...                            
% All zeros

%% rpoS Rate Function 4 wrt x7 ...                            
% All zeros

%% rpoS Rate Function 4 wrt x8 ...                            
% All zeros

%% rpoS Rate Function 4 wrt x9 ...                            
% All zeros

%% rpoD Rate Function 5 wrt x1 ...   
J(5,1,1) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            d2frInh(y(1),parN(24),parK(24),isExp);    

J(5,1,2) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);    

J(5,1,3) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);    

J(5,1,6) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);    

J(5,1,7) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);    

J(5,1,8) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);    

J(5,1,9) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);    


%% rpoD Rate Function 5 wrt x2 ...   
J(5,2,1) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,2,2) = parV(5) * frAct(y(3),parN(18),parK(18)) * d2frAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,2,3) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,2,6) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,2,7) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,2,8) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,2,9) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

%% rpoD Rate Function 5 wrt x3 ...   
J(5,3,1) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,3,2) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,3) = parV(5) * d2frAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,6) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,7) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,8) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,3,9) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));
 
    
%% rpoD Rate Function 5 wrt x4 ...   
% All zeros

%% rpoD Rate Function 5 wrt x5 ...   
J(5,5,5) = - degK(5)*(y(5)*isExp);

%% rpoD Rate Function 5 wrt x6 ...   
J(5,6,1) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,6,2) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,3) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,6) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            d2frInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,7) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,8) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,6,9) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));
    

%% rpoD Rate Function 5 wrt x7 ...       
J(5,7,1) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,7,2) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,3) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,6) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,7) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            d2frAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,8) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,7,9) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));
    
    
%% rpoD Rate Function 5 wrt x8 ...       
J(5,8,1) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,8,2) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,3) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,6) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,7) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,8) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * d2frInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,8,9) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));
    
    
%% rpoD Rate Function 5 wrt x4 ...       
J(5,9,1) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrInh(y(1),parN(24),parK(24),isExp);

J(5,9,2) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrAct(y(2),parN(19),parK(19),isExp) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,3) = parV(5) * dfrAct(y(3),parN(18),parK(18),isExp) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,6) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            dfrInh(y(6),parN(22),parK(22),isExp) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,7) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrAct(y(7),parN(20),parK(20),isExp) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,8) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * dfrInh(y(8),parN(23),parK(23),isExp) * ...
            frInh(y(1),parN(24),parK(24));

J(5,9,9) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * d2frAct(y(9),parN(21),parK(21),isExp) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

%% umuDC Rate Function 6 wrt x1 ...                  
J(6,1,1) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * d2frInh(y(1),parN(30),parK(30),isExp); 

J(6,1,2) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp); 

J(6,1,3) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp); 

J(6,1,5) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp); 

J(6,1,7) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp); 

J(6,1,8) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * dfrInh(y(1),parN(30),parK(30),isExp); 


%% umuDC Rate Function 6 wrt x2 ...                  
J(6,2,1) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,2,2) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            d2frAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,2,3) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,2,5) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,2,7) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,2,8) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));

    
%% umuDC Rate Function 6 wrt x3 ...                  
J(6,3,1) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,3,2) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,3) = parV(6) * frAct(y(5),parN(25),parK(25)) * d2frAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,5) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,7) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,3,8) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));
    
    
%% umuDC Rate Function 6 wrt x4 ...              
% All zeros

%% umuDC Rate Function 6 wrt x5 ...              
J(6,5,1) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,5,2) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,3) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,5) = parV(6) * d2frAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,7) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,5,8) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));
    
%% umuDC Rate Function 6 wrt x6 ...                  
J(6,6,6) = - degK(6)*(y(6)*isExp);

%% umuDC Rate Function 6 wrt x7 ...              
J(6,7,1) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,7,2) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,3) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,5) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,7) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * d2frAct(y(7),parN(28),parK(28),isExp) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,7,8) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));
    
    
%% umuDC Rate Function 6 wrt x8 ...                  
J(6,8,1) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * dfrInh(y(1),parN(30),parK(30),isExp);

J(6,8,2) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrAct(y(2),parN(27),parK(27),isExp) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));

J(6,8,3) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrAct(y(3),parN(26),parK(26),isExp) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));

J(6,8,5) = parV(6) * dfrAct(y(5),parN(25),parK(25),isExp) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));

J(6,8,7) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrAct(y(7),parN(28),parK(28),isExp) * ...
            dfrInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));

J(6,8,8) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            d2frInh(y(8),parN(29),parK(29),isExp) * frInh(y(1),parN(30),parK(30));
    
    
%% umuDC Rate Function 6 wrt x9 ...                  
% All zeros

%% dinI Rate Function 7 wrt x1 ...                      
J(7,1,1) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * d2frInh(y(1),parN(36),parK(36),isExp);   

J(7,1,2) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);   

J(7,1,3) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);   

J(7,1,5) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);   

J(7,1,6) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);   

J(7,1,8) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * dfrInh(y(1),parN(36),parK(36),isExp);   

    
%% dinI Rate Function 7 wrt x2 ...                   
J(7,2,1) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);    

J(7,2,2) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            d2frAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,2,3) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,2,5) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,2,6) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,2,8) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    
    
    
%% dinI Rate Function 7 wrt x3 ...                         
J(7,3,1) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);    

J(7,3,2) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,3,3) = parV(7) * frAct(y(5),parN(31),parK(31)) * d2frAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,3,5) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,3,6) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,3,8) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    
    
    
%% dinI Rate Function 7 wrt x4 ...                       
% All zeros   

%% dinI Rate Function 7 wrt x5 ...                   
J(7,5,1) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);    

J(7,5,2) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,5,3) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,5,5) = parV(7) * d2frAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,5,6) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,5,8) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));      
    
%% dinI Rate Function 7 wrt x6 ...                   
J(7,6,1) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * dfrInh(y(1),parN(36),parK(36),isExp);    

J(7,6,2) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,6,3) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,6,5) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,6,6) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * d2frInh(y(6),parN(34),parK(34),isExp) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));    

J(7,6,8) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    
    
    
%% dinI Rate Function 7 wrt x7 ...                       
J(7,7,7) = - degK(7)*(y(7)*isExp);

%% dinI Rate Function 7 wrt x8 ...                   
J(7,8,1) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * dfrInh(y(1),parN(36),parK(36),isExp);    

J(7,8,2) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrAct(y(2),parN(33),parK(33),isExp) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    

J(7,8,3) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrAct(y(3),parN(32),parK(32),isExp) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    

J(7,8,5) = parV(7) * dfrAct(y(5),parN(31),parK(31),isExp) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    

J(7,8,6) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrInh(y(6),parN(34),parK(34),isExp) * ...
            dfrInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    

J(7,8,8) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            d2frInh(y(8),parN(35),parK(35),isExp) * frInh(y(1),parN(36),parK(36));    
    
    
%% dinI Rate Function 7 wrt x9 ...                       
% All zeros 
    
%% ssB Rate Function 8 wrt x1 ...                           
J(8,1,1) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * d2frInh(y(1),parN(42),parK(42),isExp);    

J(8,1,2) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);    

J(8,1,3) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);    

J(8,1,5) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);    

J(8,1,6) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * dfrInh(y(1),parN(42),parK(42),isExp);    

J(8,1,7) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);    

    
%% ssB Rate Function 8 wrt x2 ...                           
J(8,2,1) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);    

J(8,2,2) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * d2frAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,2,3) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,2,5) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,2,6) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));    

J(8,2,7) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

    
%% ssB Rate Function 8 wrt x3 ...                           
J(8,3,1) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);     

J(8,3,2) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));     

J(8,3,3) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            d2frAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));     

J(8,3,5) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));     

J(8,3,6) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));     

J(8,3,7) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));     

    
%% ssB Rate Function 8 wrt x4 ...                               
% All zeros 

%% ssB Rate Function 8 wrt x5 ...                               
J(8,5,1) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);    

J(8,5,2) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,5,3) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,5,5) = parV(8) * frAct(y(7),parN(37),parK(37)) * d2frAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,5,6) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));    

J(8,5,7) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

    
%% ssB Rate Function 8 wrt x6 ...                               
J(8,6,1) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * dfrInh(y(1),parN(42),parK(42),isExp);     

J(8,6,2) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));     

J(8,6,3) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));     

J(8,6,5) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));     

J(8,6,6) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            d2frInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));     

J(8,6,7) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));     

    
%% ssB Rate Function 8 wrt x7 ...                               
J(8,7,1) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrInh(y(1),parN(42),parK(42),isExp);    

J(8,7,2) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrAct(y(2),parN(40),parK(40),isExp) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,7,3) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            dfrAct(y(3),parN(39),parK(39),isExp) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,7,5) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * dfrAct(y(5),parN(38),parK(38),isExp) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

J(8,7,6) = parV(8) * dfrAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrInh(y(6),parN(41),parK(41),isExp) * frInh(y(1),parN(42),parK(42));    

J(8,7,7) = parV(8) * d2frAct(y(7),parN(37),parK(37),isExp) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));    

    
%% ssB Rate Function 8 wrt x8 ...                                   
J(8,8,8) = - degK(8)*(y(8)*isExp);

%% ssB Rate Function 8 wrt x9 ...                               
% All zeros 

%% rpoH Rate Function 9 wrt x1 ...                               
% All zeros 

%% rpoH Rate Function 9 wrt x2 ...                               
% All zeros 

%% rpoH Rate Function 9 wrt x3 ...                               
% All zeros 

%% rpoH Rate Function 9 wrt x4 ...                               
% All zeros 

%% rpoH Rate Function 9 wrt x5 ...                               
J(9,5,5) = parV(9) * d2frAct(y(5),parN(43),parK(43),isExp);

%% rpoH Rate Function 9 wrt x6 ...                               
% All zeros 
%% rpoH Rate Function 9 wrt x7 ...                               
% All zeros 

%% rpoH Rate Function 9 wrt x8 ...                               
% All zeros 

%% rpoH Rate Function 9 wrt x9 ...                               
J(9,9,9) = - degK(9)*(y(9)*isExp);   
    
end

