function J = dydpSOSMMode( t,y,par,npar)
%Jacobian of Mendes Model wrt parameters 'par'
%   Baralla

J = zeros(length(y),length(par));

parV = par(1:9);
parK = par(10:52);
% parN = par(53:95);
% degK = par(96:104);
degK = par(53:61);

parN = npar;%2*ones(43,1);


%% lexA - 1
J(1,1) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,10) = parV(1) * dfrdkAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,11) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdkAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,12) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdkAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,13) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdkAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,14) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdkInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,15) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdkInh(y(6),parN(6),parK(6));
        
J(1,53) = -(degK(1))*y(1);
    
    

%% recA - 2
J(2,2) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,16) = parV(2) * dfrdkAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));
        
J(2,17) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdkAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,18) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdkAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,19) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdkInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,20) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdkInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,21) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdkInh(y(6),parN(12),parK(12));

J(2,54) = -(degK(2))*y(2);


    
    
  
%% recF - 3
J(3,3) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,22) = parV(3) * dfrdkAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,23) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdkAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,24) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrdkInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,25) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrdkInh(y(6),parN(16),parK(16));

J(3,55) = - (degK(3))*y(3);

    
    
%% rpoS - 4
J(4,4) = parV(4) * frAct(y(5),parN(17),parK(17));

J(4,26) = parV(4) * dfrdkAct(y(5),parN(17),parK(17));

J(4,56) =  - (degK(4))*y(4);




%% rpoD - 5
J(5,5) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,27) = parV(5) * dfrdkAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,28) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdkAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,29) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdkAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,30) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdkAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,31) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdkInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,32) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdkInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,33) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdkInh(y(1),parN(24),parK(24));

J(5,57) = -(degK(5))*y(5);
    

%% umuDC - 6
J(6,6) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,34) = parV(6) * dfrdkAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,35) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdkAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,36) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdkAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,37) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdkAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,38) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdkInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,39) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdkInh(y(1),parN(30),parK(30));

J(6,58) = -(degK(6))*y(6);

    
    
    
%% dinI - 7
J(7,7) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,40) = parV(7) * dfrdkAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,41) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdkAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,42) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrdkAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,43) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdkInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,44) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrdkInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,45) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdkInh(y(1),parN(36),parK(36));

J(7,59) = -(degK(7))*y(7);
    
    
%% ssB - 8
J(8,8) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,46) = parV(8) * dfrdkAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,47) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdkAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,48) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdkAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,49) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdkAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,50) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdkInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,51) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdkInh(y(1),parN(42),parK(42));

J(8,60) =  -(degK(8))*y(8);

    

%% rpoH - 9
J(9,9) = parV(9) * frAct(y(5),parN(43),parK(43));

J(9,52) = parV(9) * dfrdkAct(y(5),parN(43),parK(43));

J(9,61) = -(degK(9))*y(9);

    
    
end

