function J = dydpSOSMModeN( t,y,par)
%Jacobian of Mendes Model wrt parameters 'par'
%   Baralla



parV = par(1:9);
parK = par(10:52);
parN = par(53:95);
degK = par(96:104);

J = zeros(length(y),length(parN));

%% lexA - 1
J(1,1) = parV(1) * dfrdnAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,2) = parV(1) * frAct(y(2),parN(1),parK(1)) * dfrdnAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,3) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            dfrdnAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,4) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * dfrdnAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,5) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            dfrdnInh(y(8),parN(5),parK(5)) * frInh(y(6),parN(6),parK(6));

J(1,6) = parV(1) * frAct(y(2),parN(1),parK(1)) * frAct(y(3),parN(2),parK(2)) * ...
            frAct(y(5),parN(3),parK(3)) * frAct(y(7),parN(4),parK(4)) * ...
            frInh(y(8),parN(5),parK(5)) * dfrdnInh(y(6),parN(6),parK(6));
        
    
    

%% recA - 2
J(2,7) = parV(2) * dfrdnAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,8) = parV(2) * frAct(y(3),parN(7),parK(7)) * dfrdnAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,9) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            dfrdnAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,10) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * dfrdnInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,11) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            dfrdnInh(y(8),parN(11),parK(11)) * frInh(y(6),parN(12),parK(12));

J(2,12) = parV(2) * frAct(y(3),parN(7),parK(7)) * frAct(y(5),parN(8),parK(8)) * ...
            frAct(y(7),parN(9),parK(9)) * frInh(y(1),parN(10),parK(10)) * ...
            frInh(y(8),parN(11),parK(11)) * dfrdnInh(y(6),parN(12),parK(12));

    
    
  
%% recF - 3
J(3,13) = parV(3) * dfrdnAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,14) = parV(3) * frAct(y(5),parN(13),parK(13)) * dfrdnAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,15) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            dfrdnInh(y(8),parN(15),parK(15)) * frInh(y(6),parN(16),parK(16));

J(3,16) = parV(3) * frAct(y(5),parN(13),parK(13)) * frAct(y(4),parN(14),parK(14)) * ...
            frInh(y(8),parN(15),parK(15)) * dfrdnInh(y(6),parN(16),parK(16));
    
    
%% rpoS - 4
J(4,17) = parV(4) * dfrdnAct(y(5),parN(17),parK(17));


%% rpoD - 5
J(5,18) = parV(5) * dfrdnAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,19) = parV(5) * frAct(y(3),parN(18),parK(18)) * dfrdnAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,20) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            dfrdnAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,21) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * dfrdnAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,22) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            dfrdnInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,23) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * dfrdnInh(y(8),parN(23),parK(23)) * ...
            frInh(y(1),parN(24),parK(24));

J(5,24) = parV(5) * frAct(y(3),parN(18),parK(18)) * frAct(y(2),parN(19),parK(19)) * ...
            frAct(y(7),parN(20),parK(20)) * frAct(y(9),parN(21),parK(21)) * ...
            frInh(y(6),parN(22),parK(22)) * frInh(y(8),parN(23),parK(23)) * ...
            dfrdnInh(y(1),parN(24),parK(24));
    

%% umuDC - 6
J(6,25) = parV(6) * dfrdnAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,26) = parV(6) * frAct(y(5),parN(25),parK(25)) * dfrdnAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,27) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            dfrdnAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,28) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * dfrdnAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,29) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            dfrdnInh(y(8),parN(29),parK(29)) * frInh(y(1),parN(30),parK(30));

J(6,30) = parV(6) * frAct(y(5),parN(25),parK(25)) * frAct(y(3),parN(26),parK(26)) * ...
            frAct(y(2),parN(27),parK(27)) * frAct(y(7),parN(28),parK(28)) * ...
            frInh(y(8),parN(29),parK(29)) * dfrdnInh(y(1),parN(30),parK(30));    
    
    
%% dinI - 7
J(7,31) = parV(7) * dfrdnAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,32) = parV(7) * frAct(y(5),parN(31),parK(31)) * dfrdnAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,33) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            dfrdnAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,34) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * dfrdnInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,35) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            dfrdnInh(y(8),parN(35),parK(35)) * frInh(y(1),parN(36),parK(36));

J(7,36) = parV(7) * frAct(y(5),parN(31),parK(31)) * frAct(y(3),parN(32),parK(32)) * ...
            frAct(y(2),parN(33),parK(33)) * frInh(y(6),parN(34),parK(34)) * ...
            frInh(y(8),parN(35),parK(35)) * dfrdnInh(y(1),parN(36),parK(36));
    
%% ssB - 8
J(8,37) = parV(8) * dfrdnAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,38) = parV(8) * frAct(y(7),parN(37),parK(37)) * dfrdnAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,39) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            dfrdnAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,40) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * dfrdnAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,41) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            dfrdnInh(y(6),parN(41),parK(41)) * frInh(y(1),parN(42),parK(42));

J(8,42) = parV(8) * frAct(y(7),parN(37),parK(37)) * frAct(y(5),parN(38),parK(38)) * ...
            frAct(y(3),parN(39),parK(39)) * frAct(y(2),parN(40),parK(40)) * ...
            frInh(y(6),parN(41),parK(41)) * dfrdnInh(y(1),parN(42),parK(42));
    

%% rpoH - 9
J(9,43) = parV(9) * dfrdnAct(y(5),parN(43),parK(43));
    
    
end

